# Uses of Class
org.apache.sysds.api.mlcontext.MLResults

Packages that use MLResults
Package
Description
org.apache.sysds.api.mlcontext

## Uses of MLResults in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return MLResults
Modifier and Type
Method
Description
`MLResults`
MLContext.`execute(Script script)`
Execute a DML or PYDML Script.
`MLResults`
MLContext.`execute(Script script, ScriptExecutor scriptExecutor)`
Execute a DML or PYDML Script object using a ScriptExecutor.
`MLResults`
Script.`execute()`
Execute the script and return the results as an MLResults object.
`MLResults`
ScriptExecutor.`execute(Script script)`
Execute a DML or PYDML script.
`MLResults`
Script.`getResults()`
Obtain the results of the script execution.
`MLResults`
Script.`results()`
Obtain the results of the script execution.
Methods in org.apache.sysds.api.mlcontext with parameters of type MLResults
Modifier and Type
Method
Description
`void`
Script.`setResults(MLResults results)`
Set the results of the script execution.